Get association by object keys
Get association by object keys like contacts, custom objects and opportunities. See: https://help.hoopai.com/api-reference/overview/associations
GET
/
associations
/
objectKey
/
{objectKey}
Get association by object keys
curl --request GET \
--url https://services.leadconnectorhq.com/associations/objectKey/{objectKey} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/associations/objectKey/{objectKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/associations/objectKey/{objectKey}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"locationId": "string",
"id": "ve9EPM428h8vShlRW1KT",
"key": "student",
"firstObjectLabel": "student",
"firstObjectKey": "custom_objects.children",
"secondObjectLabel": "Teacher",
"secondObjectKey": "contact",
"associationType": "USER_DEFINED"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Get association by object keys
curl --request GET \
--url https://services.leadconnectorhq.com/associations/objectKey/{objectKey} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/associations/objectKey/{objectKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/associations/objectKey/{objectKey}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"locationId": "string",
"id": "ve9EPM428h8vShlRW1KT",
"key": "student",
"firstObjectLabel": "student",
"firstObjectKey": "custom_objects.children",
"secondObjectLabel": "Teacher",
"secondObjectKey": "contact",
"associationType": "USER_DEFINED"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}